import unittest

from ..directintegration import DirectIntegration

class DirectIntegrationTests(unittest.TestCase):
	"""Test case for the direct integration model class in directintegration.py"""

	def setUp(self):
		components = {
				"Methane": 1,
				# "Ethane": 0.7,
				# "Propane": 0.1,
			}

		self.di = DirectIntegration(100, 25, 110, 35, components, N = 10)

	def test_calculate_outlet_temp(self):
		t_outlet = self.di.calculate_outlet_temp(0.70)

		self.assertAlmostEqual(t_outlet, 34.48726443029128)